package com.css.txw.gxzx.mapper;

import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.baomidou.mybatisplus.core.conditions.update.UpdateWrapper;
import com.css.ggzc.framework.common.util.gy.GyUtils;
import com.css.ggzc.framework.mybatis.core.query.QueryWrapperX;
import com.css.txw.gxzx.pojo.domain.TxwGxzxGxbqbDO;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.css.txw.gxzx.pojo.domain.TxwGxzxQybqbDO;

import java.util.List;

/**
* @author AirlH
* @description 针对表【txw_gxzx_gxbqb(供需标签表)】的数据库操作Mapper
* @createDate 2025-09-16 09:46:06
* @Entity com.css.txw.gxzx.pojo.domain.TxwGxzxGxbqb
*/
public interface TxwGxzxGxbqbMapper extends BaseMapper<TxwGxzxGxbqbDO> {

    default void updYxbz(String gxuuid){
        UpdateWrapper<TxwGxzxGxbqbDO> wrapper = new UpdateWrapper<>();
        wrapper.lambda().set(TxwGxzxGxbqbDO::getYxbz,"Y")
                .eq(TxwGxzxGxbqbDO::getGxUuid,gxuuid);
        update(wrapper);
    }

    default List<TxwGxzxGxbqbDO> getGxuuids(List<String> qyuuids,List<String> bqdms){
        QueryWrapperX<TxwGxzxGxbqbDO> wrapper = new QueryWrapperX<>();
        wrapper.select("DISTINCT gx_uuid").lambda()
                .in(!GyUtils.isNull(bqdms)&&bqdms.size()>0,TxwGxzxGxbqbDO::getBquuid,bqdms)
                .in(!GyUtils.isNull(qyuuids)&&qyuuids.size()>0,TxwGxzxGxbqbDO::getQyuuid,qyuuids)
                .eq(TxwGxzxGxbqbDO::getYxbz,"Y");
        return selectList(wrapper);
    }

    default List<TxwGxzxGxbqbDO> getQyuuids(List<String> bqdms){
        QueryWrapperX<TxwGxzxGxbqbDO> wrapper = new QueryWrapperX<>();
        wrapper.select("DISTINCT qyuuid").lambda()
                .in(!GyUtils.isNull(bqdms)&&bqdms.size()>0,TxwGxzxGxbqbDO::getBquuid,bqdms)
                .eq(TxwGxzxGxbqbDO::getYxbz,"Y");
        return selectList(wrapper);
    }

}




